@echo off
if "%OS%" == "Windows_NT" setlocal

if "%JOBSERVER_HOME%" == "" goto guessIt

if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set dumby=""
rem Even though it is set and not correct try to guess
:guessIt

set JOBSERVER_HOME=.
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
rem Try to guess what JOBSERVER_HOME is
set JOBSERVER_HOME=..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set JOBSERVER_HOME=..\..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
echo  The JOBSERVER_HOME environment variable is not set. This
echo  variable needs to be set to run this program. Program
echo  exiting.
goto end

:okHome

call "%JOBSERVER_HOME%\conf\system-config.bat"

if exist "%JAVA_HOME%\bin\java.exe" goto okExecJDK

if exist "%JRE_HOME%\bin\java.exe" goto okExecJRE
echo "Neither JRE_HOME nor JAVA_HOME environment variable is set."
echo "One of these variables must be set to run this program."
echo "Program exiting."
goto end

:okExecJRE
set JS_JVM_HOME=%JRE_HOME%
goto okExec

:okExecJDK
set JS_JVM_HOME=%JAVA_HOME%

:okExec

call "%JOBSERVER_HOME%\bin\jsmonitor" -dbheartbeat > nul
set ENVCHECK=%ERRORLEVEL%

if "%ENVCHECK%" == "0" goto stopDB
echo  Local Database - Already Shutdown
goto end

:stopDB
call "%JOBSERVER_HOME%\bin\jsmonitor" -dblocalshutdown
set ENVCHECK=%ERRORLEVEL%

if "%ENVCHECK%" == "0" goto stopDBDone
echo  Local Database - Problem Shutting Down
goto end

:stopDBDone
echo  Local Database Shutdown

:end
