/* JobServer 3.6.2 beta2 sql for PSQL database */

INSERT INTO js_dbversion VALUES ('3.6.2',CURRENT_TIMESTAMP);

alter table js_res_grp add iMesosCpu integer DEFAULT -1;
alter table js_res_grp add tMesosQType integer DEFAULT 0;

alter table js_systemprops add stMesosMasterURL varchar(255) DEFAULT '';
alter table js_systemprops add bAcceptOffers integer DEFAULT 1;  /* 1 yes, 2 no */
alter table js_systemprops add stMesosUser varchar(32) DEFAULT '';
alter table js_systemprops add stMesosPass varchar(64) DEFAULT '';

alter table js_job add iMesosCPU integer DEFAULT -1;
alter table js_job add iMesosMem integer DEFAULT -1;
alter table js_job add tExecutorType integer DEFAULT 0; /* 0 cmd executor, 1 JS executor */
alter table js_job add stCmdScript varchar(1024);

CREATE TABLE js_mesosrun
(
 idrun integer not null, /* sequence  seq_wbstatus */
 idjob integer not null,
 idresgrp integer not null,
 iCpuRequest integer not null, /* x10 */
 iMemRequest integer not null,
 iCpuUtil integer DEFAULT 0, /* x10000 */
 iMemUtil integer DEFAULT 0, /* meg */
 stServerName varchar(64) not null,
 stServerID char(40) not null,
 stExecutorID char(40) not null,
 stTaskID char(40) not null,
 dtHeartbeat timestamp not null,
 tExecutorType integer DEFAULT 0, /* 0 cmd executor, 1 JS executor */
 stCmdScript varchar(1024),

 CONSTRAINT js_mesosrun_pk PRIMARY KEY (idRun)
 );